package com.chinaitop.depot.intelligent.grainNumberMonitor.model;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TNumberWarningHistoryExample {
    /**
     * t_number_warning_history
     */
    protected String orderByClause;

    /**
     * t_number_warning_history
     */
    protected boolean distinct;

    /**
     * t_number_warning_history
     */
    protected List<Criteria> oredCriteria;

    public TNumberWarningHistoryExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
     * t_number_warning_history 2019-06-13
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(String value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(String value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(String value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(String value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(String value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(String value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLike(String value) {
            addCriterion("id like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotLike(String value) {
            addCriterion("id not like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<String> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<String> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(String value1, String value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(String value1, String value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andVcfcodeIsNull() {
            addCriterion("vcfcode is null");
            return (Criteria) this;
        }

        public Criteria andVcfcodeIsNotNull() {
            addCriterion("vcfcode is not null");
            return (Criteria) this;
        }

        public Criteria andVcfcodeEqualTo(String value) {
            addCriterion("vcfcode =", value, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeNotEqualTo(String value) {
            addCriterion("vcfcode <>", value, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeGreaterThan(String value) {
            addCriterion("vcfcode >", value, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeGreaterThanOrEqualTo(String value) {
            addCriterion("vcfcode >=", value, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeLessThan(String value) {
            addCriterion("vcfcode <", value, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeLessThanOrEqualTo(String value) {
            addCriterion("vcfcode <=", value, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeLike(String value) {
            addCriterion("vcfcode like", value, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeNotLike(String value) {
            addCriterion("vcfcode not like", value, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeIn(List<String> values) {
            addCriterion("vcfcode in", values, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeNotIn(List<String> values) {
            addCriterion("vcfcode not in", values, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeBetween(String value1, String value2) {
            addCriterion("vcfcode between", value1, value2, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeNotBetween(String value1, String value2) {
            addCriterion("vcfcode not between", value1, value2, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNull() {
            addCriterion("org_id is null");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNotNull() {
            addCriterion("org_id is not null");
            return (Criteria) this;
        }

        public Criteria andOrgIdEqualTo(String value) {
            addCriterion("org_id =", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotEqualTo(String value) {
            addCriterion("org_id <>", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThan(String value) {
            addCriterion("org_id >", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThanOrEqualTo(String value) {
            addCriterion("org_id >=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThan(String value) {
            addCriterion("org_id <", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThanOrEqualTo(String value) {
            addCriterion("org_id <=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLike(String value) {
            addCriterion("org_id like", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotLike(String value) {
            addCriterion("org_id not like", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdIn(List<String> values) {
            addCriterion("org_id in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotIn(List<String> values) {
            addCriterion("org_id not in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdBetween(String value1, String value2) {
            addCriterion("org_id between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotBetween(String value1, String value2) {
            addCriterion("org_id not between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andVdevcodeIsNull() {
            addCriterion("vdevcode is null");
            return (Criteria) this;
        }

        public Criteria andVdevcodeIsNotNull() {
            addCriterion("vdevcode is not null");
            return (Criteria) this;
        }

        public Criteria andVdevcodeEqualTo(String value) {
            addCriterion("vdevcode =", value, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeNotEqualTo(String value) {
            addCriterion("vdevcode <>", value, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeGreaterThan(String value) {
            addCriterion("vdevcode >", value, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeGreaterThanOrEqualTo(String value) {
            addCriterion("vdevcode >=", value, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeLessThan(String value) {
            addCriterion("vdevcode <", value, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeLessThanOrEqualTo(String value) {
            addCriterion("vdevcode <=", value, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeLike(String value) {
            addCriterion("vdevcode like", value, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeNotLike(String value) {
            addCriterion("vdevcode not like", value, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeIn(List<String> values) {
            addCriterion("vdevcode in", values, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeNotIn(List<String> values) {
            addCriterion("vdevcode not in", values, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeBetween(String value1, String value2) {
            addCriterion("vdevcode between", value1, value2, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeNotBetween(String value1, String value2) {
            addCriterion("vdevcode not between", value1, value2, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andMonitorNumberIsNull() {
            addCriterion("monitor_number is null");
            return (Criteria) this;
        }

        public Criteria andMonitorNumberIsNotNull() {
            addCriterion("monitor_number is not null");
            return (Criteria) this;
        }

        public Criteria andMonitorNumberEqualTo(String value) {
            addCriterion("monitor_number =", value, "monitorNumber");
            return (Criteria) this;
        }

        public Criteria andMonitorNumberNotEqualTo(String value) {
            addCriterion("monitor_number <>", value, "monitorNumber");
            return (Criteria) this;
        }

        public Criteria andMonitorNumberGreaterThan(String value) {
            addCriterion("monitor_number >", value, "monitorNumber");
            return (Criteria) this;
        }

        public Criteria andMonitorNumberGreaterThanOrEqualTo(String value) {
            addCriterion("monitor_number >=", value, "monitorNumber");
            return (Criteria) this;
        }

        public Criteria andMonitorNumberLessThan(String value) {
            addCriterion("monitor_number <", value, "monitorNumber");
            return (Criteria) this;
        }

        public Criteria andMonitorNumberLessThanOrEqualTo(String value) {
            addCriterion("monitor_number <=", value, "monitorNumber");
            return (Criteria) this;
        }

        public Criteria andMonitorNumberLike(String value) {
            addCriterion("monitor_number like", value, "monitorNumber");
            return (Criteria) this;
        }

        public Criteria andMonitorNumberNotLike(String value) {
            addCriterion("monitor_number not like", value, "monitorNumber");
            return (Criteria) this;
        }

        public Criteria andMonitorNumberIn(List<String> values) {
            addCriterion("monitor_number in", values, "monitorNumber");
            return (Criteria) this;
        }

        public Criteria andMonitorNumberNotIn(List<String> values) {
            addCriterion("monitor_number not in", values, "monitorNumber");
            return (Criteria) this;
        }

        public Criteria andMonitorNumberBetween(String value1, String value2) {
            addCriterion("monitor_number between", value1, value2, "monitorNumber");
            return (Criteria) this;
        }

        public Criteria andMonitorNumberNotBetween(String value1, String value2) {
            addCriterion("monitor_number not between", value1, value2, "monitorNumber");
            return (Criteria) this;
        }

        public Criteria andTVolumeIsNull() {
            addCriterion("t_volume is null");
            return (Criteria) this;
        }

        public Criteria andTVolumeIsNotNull() {
            addCriterion("t_volume is not null");
            return (Criteria) this;
        }

        public Criteria andTVolumeEqualTo(String value) {
            addCriterion("t_volume =", value, "tVolume");
            return (Criteria) this;
        }

        public Criteria andTVolumeNotEqualTo(String value) {
            addCriterion("t_volume <>", value, "tVolume");
            return (Criteria) this;
        }

        public Criteria andTVolumeGreaterThan(String value) {
            addCriterion("t_volume >", value, "tVolume");
            return (Criteria) this;
        }

        public Criteria andTVolumeGreaterThanOrEqualTo(String value) {
            addCriterion("t_volume >=", value, "tVolume");
            return (Criteria) this;
        }

        public Criteria andTVolumeLessThan(String value) {
            addCriterion("t_volume <", value, "tVolume");
            return (Criteria) this;
        }

        public Criteria andTVolumeLessThanOrEqualTo(String value) {
            addCriterion("t_volume <=", value, "tVolume");
            return (Criteria) this;
        }

        public Criteria andTVolumeLike(String value) {
            addCriterion("t_volume like", value, "tVolume");
            return (Criteria) this;
        }

        public Criteria andTVolumeNotLike(String value) {
            addCriterion("t_volume not like", value, "tVolume");
            return (Criteria) this;
        }

        public Criteria andTVolumeIn(List<String> values) {
            addCriterion("t_volume in", values, "tVolume");
            return (Criteria) this;
        }

        public Criteria andTVolumeNotIn(List<String> values) {
            addCriterion("t_volume not in", values, "tVolume");
            return (Criteria) this;
        }

        public Criteria andTVolumeBetween(String value1, String value2) {
            addCriterion("t_volume between", value1, value2, "tVolume");
            return (Criteria) this;
        }

        public Criteria andTVolumeNotBetween(String value1, String value2) {
            addCriterion("t_volume not between", value1, value2, "tVolume");
            return (Criteria) this;
        }

        public Criteria andTErrorIsNull() {
            addCriterion("t_error is null");
            return (Criteria) this;
        }

        public Criteria andTErrorIsNotNull() {
            addCriterion("t_error is not null");
            return (Criteria) this;
        }

        public Criteria andTErrorEqualTo(String value) {
            addCriterion("t_error =", value, "tError");
            return (Criteria) this;
        }

        public Criteria andTErrorNotEqualTo(String value) {
            addCriterion("t_error <>", value, "tError");
            return (Criteria) this;
        }

        public Criteria andTErrorGreaterThan(String value) {
            addCriterion("t_error >", value, "tError");
            return (Criteria) this;
        }

        public Criteria andTErrorGreaterThanOrEqualTo(String value) {
            addCriterion("t_error >=", value, "tError");
            return (Criteria) this;
        }

        public Criteria andTErrorLessThan(String value) {
            addCriterion("t_error <", value, "tError");
            return (Criteria) this;
        }

        public Criteria andTErrorLessThanOrEqualTo(String value) {
            addCriterion("t_error <=", value, "tError");
            return (Criteria) this;
        }

        public Criteria andTErrorLike(String value) {
            addCriterion("t_error like", value, "tError");
            return (Criteria) this;
        }

        public Criteria andTErrorNotLike(String value) {
            addCriterion("t_error not like", value, "tError");
            return (Criteria) this;
        }

        public Criteria andTErrorIn(List<String> values) {
            addCriterion("t_error in", values, "tError");
            return (Criteria) this;
        }

        public Criteria andTErrorNotIn(List<String> values) {
            addCriterion("t_error not in", values, "tError");
            return (Criteria) this;
        }

        public Criteria andTErrorBetween(String value1, String value2) {
            addCriterion("t_error between", value1, value2, "tError");
            return (Criteria) this;
        }

        public Criteria andTErrorNotBetween(String value1, String value2) {
            addCriterion("t_error not between", value1, value2, "tError");
            return (Criteria) this;
        }

        public Criteria andDepotTypeIsNull() {
            addCriterion("depot_type is null");
            return (Criteria) this;
        }

        public Criteria andDepotTypeIsNotNull() {
            addCriterion("depot_type is not null");
            return (Criteria) this;
        }

        public Criteria andDepotTypeEqualTo(String value) {
            addCriterion("depot_type =", value, "depotType");
            return (Criteria) this;
        }

        public Criteria andDepotTypeNotEqualTo(String value) {
            addCriterion("depot_type <>", value, "depotType");
            return (Criteria) this;
        }

        public Criteria andDepotTypeGreaterThan(String value) {
            addCriterion("depot_type >", value, "depotType");
            return (Criteria) this;
        }

        public Criteria andDepotTypeGreaterThanOrEqualTo(String value) {
            addCriterion("depot_type >=", value, "depotType");
            return (Criteria) this;
        }

        public Criteria andDepotTypeLessThan(String value) {
            addCriterion("depot_type <", value, "depotType");
            return (Criteria) this;
        }

        public Criteria andDepotTypeLessThanOrEqualTo(String value) {
            addCriterion("depot_type <=", value, "depotType");
            return (Criteria) this;
        }

        public Criteria andDepotTypeLike(String value) {
            addCriterion("depot_type like", value, "depotType");
            return (Criteria) this;
        }

        public Criteria andDepotTypeNotLike(String value) {
            addCriterion("depot_type not like", value, "depotType");
            return (Criteria) this;
        }

        public Criteria andDepotTypeIn(List<String> values) {
            addCriterion("depot_type in", values, "depotType");
            return (Criteria) this;
        }

        public Criteria andDepotTypeNotIn(List<String> values) {
            addCriterion("depot_type not in", values, "depotType");
            return (Criteria) this;
        }

        public Criteria andDepotTypeBetween(String value1, String value2) {
            addCriterion("depot_type between", value1, value2, "depotType");
            return (Criteria) this;
        }

        public Criteria andDepotTypeNotBetween(String value1, String value2) {
            addCriterion("depot_type not between", value1, value2, "depotType");
            return (Criteria) this;
        }

        public Criteria andDepotLongIsNull() {
            addCriterion("depot_long is null");
            return (Criteria) this;
        }

        public Criteria andDepotLongIsNotNull() {
            addCriterion("depot_long is not null");
            return (Criteria) this;
        }

        public Criteria andDepotLongEqualTo(String value) {
            addCriterion("depot_long =", value, "depotLong");
            return (Criteria) this;
        }

        public Criteria andDepotLongNotEqualTo(String value) {
            addCriterion("depot_long <>", value, "depotLong");
            return (Criteria) this;
        }

        public Criteria andDepotLongGreaterThan(String value) {
            addCriterion("depot_long >", value, "depotLong");
            return (Criteria) this;
        }

        public Criteria andDepotLongGreaterThanOrEqualTo(String value) {
            addCriterion("depot_long >=", value, "depotLong");
            return (Criteria) this;
        }

        public Criteria andDepotLongLessThan(String value) {
            addCriterion("depot_long <", value, "depotLong");
            return (Criteria) this;
        }

        public Criteria andDepotLongLessThanOrEqualTo(String value) {
            addCriterion("depot_long <=", value, "depotLong");
            return (Criteria) this;
        }

        public Criteria andDepotLongLike(String value) {
            addCriterion("depot_long like", value, "depotLong");
            return (Criteria) this;
        }

        public Criteria andDepotLongNotLike(String value) {
            addCriterion("depot_long not like", value, "depotLong");
            return (Criteria) this;
        }

        public Criteria andDepotLongIn(List<String> values) {
            addCriterion("depot_long in", values, "depotLong");
            return (Criteria) this;
        }

        public Criteria andDepotLongNotIn(List<String> values) {
            addCriterion("depot_long not in", values, "depotLong");
            return (Criteria) this;
        }

        public Criteria andDepotLongBetween(String value1, String value2) {
            addCriterion("depot_long between", value1, value2, "depotLong");
            return (Criteria) this;
        }

        public Criteria andDepotLongNotBetween(String value1, String value2) {
            addCriterion("depot_long not between", value1, value2, "depotLong");
            return (Criteria) this;
        }

        public Criteria andDepotWideIsNull() {
            addCriterion("depot_wide is null");
            return (Criteria) this;
        }

        public Criteria andDepotWideIsNotNull() {
            addCriterion("depot_wide is not null");
            return (Criteria) this;
        }

        public Criteria andDepotWideEqualTo(String value) {
            addCriterion("depot_wide =", value, "depotWide");
            return (Criteria) this;
        }

        public Criteria andDepotWideNotEqualTo(String value) {
            addCriterion("depot_wide <>", value, "depotWide");
            return (Criteria) this;
        }

        public Criteria andDepotWideGreaterThan(String value) {
            addCriterion("depot_wide >", value, "depotWide");
            return (Criteria) this;
        }

        public Criteria andDepotWideGreaterThanOrEqualTo(String value) {
            addCriterion("depot_wide >=", value, "depotWide");
            return (Criteria) this;
        }

        public Criteria andDepotWideLessThan(String value) {
            addCriterion("depot_wide <", value, "depotWide");
            return (Criteria) this;
        }

        public Criteria andDepotWideLessThanOrEqualTo(String value) {
            addCriterion("depot_wide <=", value, "depotWide");
            return (Criteria) this;
        }

        public Criteria andDepotWideLike(String value) {
            addCriterion("depot_wide like", value, "depotWide");
            return (Criteria) this;
        }

        public Criteria andDepotWideNotLike(String value) {
            addCriterion("depot_wide not like", value, "depotWide");
            return (Criteria) this;
        }

        public Criteria andDepotWideIn(List<String> values) {
            addCriterion("depot_wide in", values, "depotWide");
            return (Criteria) this;
        }

        public Criteria andDepotWideNotIn(List<String> values) {
            addCriterion("depot_wide not in", values, "depotWide");
            return (Criteria) this;
        }

        public Criteria andDepotWideBetween(String value1, String value2) {
            addCriterion("depot_wide between", value1, value2, "depotWide");
            return (Criteria) this;
        }

        public Criteria andDepotWideNotBetween(String value1, String value2) {
            addCriterion("depot_wide not between", value1, value2, "depotWide");
            return (Criteria) this;
        }

        public Criteria andAvgHeightvIsNull() {
            addCriterion("avg_heightv is null");
            return (Criteria) this;
        }

        public Criteria andAvgHeightvIsNotNull() {
            addCriterion("avg_heightv is not null");
            return (Criteria) this;
        }

        public Criteria andAvgHeightvEqualTo(String value) {
            addCriterion("avg_heightv =", value, "avgHeightv");
            return (Criteria) this;
        }

        public Criteria andAvgHeightvNotEqualTo(String value) {
            addCriterion("avg_heightv <>", value, "avgHeightv");
            return (Criteria) this;
        }

        public Criteria andAvgHeightvGreaterThan(String value) {
            addCriterion("avg_heightv >", value, "avgHeightv");
            return (Criteria) this;
        }

        public Criteria andAvgHeightvGreaterThanOrEqualTo(String value) {
            addCriterion("avg_heightv >=", value, "avgHeightv");
            return (Criteria) this;
        }

        public Criteria andAvgHeightvLessThan(String value) {
            addCriterion("avg_heightv <", value, "avgHeightv");
            return (Criteria) this;
        }

        public Criteria andAvgHeightvLessThanOrEqualTo(String value) {
            addCriterion("avg_heightv <=", value, "avgHeightv");
            return (Criteria) this;
        }

        public Criteria andAvgHeightvLike(String value) {
            addCriterion("avg_heightv like", value, "avgHeightv");
            return (Criteria) this;
        }

        public Criteria andAvgHeightvNotLike(String value) {
            addCriterion("avg_heightv not like", value, "avgHeightv");
            return (Criteria) this;
        }

        public Criteria andAvgHeightvIn(List<String> values) {
            addCriterion("avg_heightv in", values, "avgHeightv");
            return (Criteria) this;
        }

        public Criteria andAvgHeightvNotIn(List<String> values) {
            addCriterion("avg_heightv not in", values, "avgHeightv");
            return (Criteria) this;
        }

        public Criteria andAvgHeightvBetween(String value1, String value2) {
            addCriterion("avg_heightv between", value1, value2, "avgHeightv");
            return (Criteria) this;
        }

        public Criteria andAvgHeightvNotBetween(String value1, String value2) {
            addCriterion("avg_heightv not between", value1, value2, "avgHeightv");
            return (Criteria) this;
        }

        public Criteria andAbnormalCargoIsNull() {
            addCriterion("abnormal_cargo is null");
            return (Criteria) this;
        }

        public Criteria andAbnormalCargoIsNotNull() {
            addCriterion("abnormal_cargo is not null");
            return (Criteria) this;
        }

        public Criteria andAbnormalCargoEqualTo(String value) {
            addCriterion("abnormal_cargo =", value, "abnormalCargo");
            return (Criteria) this;
        }

        public Criteria andAbnormalCargoNotEqualTo(String value) {
            addCriterion("abnormal_cargo <>", value, "abnormalCargo");
            return (Criteria) this;
        }

        public Criteria andAbnormalCargoGreaterThan(String value) {
            addCriterion("abnormal_cargo >", value, "abnormalCargo");
            return (Criteria) this;
        }

        public Criteria andAbnormalCargoGreaterThanOrEqualTo(String value) {
            addCriterion("abnormal_cargo >=", value, "abnormalCargo");
            return (Criteria) this;
        }

        public Criteria andAbnormalCargoLessThan(String value) {
            addCriterion("abnormal_cargo <", value, "abnormalCargo");
            return (Criteria) this;
        }

        public Criteria andAbnormalCargoLessThanOrEqualTo(String value) {
            addCriterion("abnormal_cargo <=", value, "abnormalCargo");
            return (Criteria) this;
        }

        public Criteria andAbnormalCargoLike(String value) {
            addCriterion("abnormal_cargo like", value, "abnormalCargo");
            return (Criteria) this;
        }

        public Criteria andAbnormalCargoNotLike(String value) {
            addCriterion("abnormal_cargo not like", value, "abnormalCargo");
            return (Criteria) this;
        }

        public Criteria andAbnormalCargoIn(List<String> values) {
            addCriterion("abnormal_cargo in", values, "abnormalCargo");
            return (Criteria) this;
        }

        public Criteria andAbnormalCargoNotIn(List<String> values) {
            addCriterion("abnormal_cargo not in", values, "abnormalCargo");
            return (Criteria) this;
        }

        public Criteria andAbnormalCargoBetween(String value1, String value2) {
            addCriterion("abnormal_cargo between", value1, value2, "abnormalCargo");
            return (Criteria) this;
        }

        public Criteria andAbnormalCargoNotBetween(String value1, String value2) {
            addCriterion("abnormal_cargo not between", value1, value2, "abnormalCargo");
            return (Criteria) this;
        }

        public Criteria andMonitorTimeIsNull() {
            addCriterion("monitor_time is null");
            return (Criteria) this;
        }

        public Criteria andMonitorTimeIsNotNull() {
            addCriterion("monitor_time is not null");
            return (Criteria) this;
        }

        public Criteria andMonitorTimeEqualTo(Date value) {
            addCriterion("monitor_time =", value, "monitorTime");
            return (Criteria) this;
        }

        public Criteria andMonitorTimeNotEqualTo(Date value) {
            addCriterion("monitor_time <>", value, "monitorTime");
            return (Criteria) this;
        }

        public Criteria andMonitorTimeGreaterThan(Date value) {
            addCriterion("monitor_time >", value, "monitorTime");
            return (Criteria) this;
        }

        public Criteria andMonitorTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("monitor_time >=", value, "monitorTime");
            return (Criteria) this;
        }

        public Criteria andMonitorTimeLessThan(Date value) {
            addCriterion("monitor_time <", value, "monitorTime");
            return (Criteria) this;
        }

        public Criteria andMonitorTimeLessThanOrEqualTo(Date value) {
            addCriterion("monitor_time <=", value, "monitorTime");
            return (Criteria) this;
        }

        public Criteria andMonitorTimeIn(List<Date> values) {
            addCriterion("monitor_time in", values, "monitorTime");
            return (Criteria) this;
        }

        public Criteria andMonitorTimeNotIn(List<Date> values) {
            addCriterion("monitor_time not in", values, "monitorTime");
            return (Criteria) this;
        }

        public Criteria andMonitorTimeBetween(Date value1, Date value2) {
            addCriterion("monitor_time between", value1, value2, "monitorTime");
            return (Criteria) this;
        }

        public Criteria andMonitorTimeNotBetween(Date value1, Date value2) {
            addCriterion("monitor_time not between", value1, value2, "monitorTime");
            return (Criteria) this;
        }

        public Criteria andOperatorIsNull() {
            addCriterion("operator is null");
            return (Criteria) this;
        }

        public Criteria andOperatorIsNotNull() {
            addCriterion("operator is not null");
            return (Criteria) this;
        }

        public Criteria andOperatorEqualTo(String value) {
            addCriterion("operator =", value, "operator");
            return (Criteria) this;
        }

        public Criteria andOperatorNotEqualTo(String value) {
            addCriterion("operator <>", value, "operator");
            return (Criteria) this;
        }

        public Criteria andOperatorGreaterThan(String value) {
            addCriterion("operator >", value, "operator");
            return (Criteria) this;
        }

        public Criteria andOperatorGreaterThanOrEqualTo(String value) {
            addCriterion("operator >=", value, "operator");
            return (Criteria) this;
        }

        public Criteria andOperatorLessThan(String value) {
            addCriterion("operator <", value, "operator");
            return (Criteria) this;
        }

        public Criteria andOperatorLessThanOrEqualTo(String value) {
            addCriterion("operator <=", value, "operator");
            return (Criteria) this;
        }

        public Criteria andOperatorLike(String value) {
            addCriterion("operator like", value, "operator");
            return (Criteria) this;
        }

        public Criteria andOperatorNotLike(String value) {
            addCriterion("operator not like", value, "operator");
            return (Criteria) this;
        }

        public Criteria andOperatorIn(List<String> values) {
            addCriterion("operator in", values, "operator");
            return (Criteria) this;
        }

        public Criteria andOperatorNotIn(List<String> values) {
            addCriterion("operator not in", values, "operator");
            return (Criteria) this;
        }

        public Criteria andOperatorBetween(String value1, String value2) {
            addCriterion("operator between", value1, value2, "operator");
            return (Criteria) this;
        }

        public Criteria andOperatorNotBetween(String value1, String value2) {
            addCriterion("operator not between", value1, value2, "operator");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeIsNull() {
            addCriterion("updatetime is null");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeIsNotNull() {
            addCriterion("updatetime is not null");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeEqualTo(Date value) {
            addCriterion("updatetime =", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeNotEqualTo(Date value) {
            addCriterion("updatetime <>", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeGreaterThan(Date value) {
            addCriterion("updatetime >", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeGreaterThanOrEqualTo(Date value) {
            addCriterion("updatetime >=", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeLessThan(Date value) {
            addCriterion("updatetime <", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeLessThanOrEqualTo(Date value) {
            addCriterion("updatetime <=", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeIn(List<Date> values) {
            addCriterion("updatetime in", values, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeNotIn(List<Date> values) {
            addCriterion("updatetime not in", values, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeBetween(Date value1, Date value2) {
            addCriterion("updatetime between", value1, value2, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeNotBetween(Date value1, Date value2) {
            addCriterion("updatetime not between", value1, value2, "updatetime");
            return (Criteria) this;
        }
    }

    /**
     * t_number_warning_history
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    /**
     * t_number_warning_history 2019-06-13
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}